<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Create new Course</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>
<h3>Create new Course</h3>
<div th:if="${error!=null}" class="alert alert-danger" role="alert">
    Empty course name!
</div>
<form th:action="@{/course/create}" th:object="${course}" method="post">
    <div class="form-group">
        <label for="nameInput">Course Name</label>
        <input th:field="*{courseName}" type="text" class="form-control" id="nameInput" aria-describedby="nameHelp" placeholder="Enter course' name">
        <small id="nameHelp" class="form-text text-muted">Please enter course name.</small>
    </div>
    <div class="form-group">
        <label for="vacancyStatusInput">Check Here</label>
        <input type="checkbox" th:field="*{vacancyStatus}" id="vacancyStatusInput" value="0"></input>
    </div>
    <button type="submit" class="btn btn-primary">Submit</button>
</form>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>